<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomerGroupPricing StructType
 * @subpackage Structs
 */
class CustomerGroupPricing extends AbstractStructBase
{
    /**
     * The group
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $group;
    /**
     * The level
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $level;
    /**
     * Constructor method for CustomerGroupPricing
     * @uses CustomerGroupPricing::setGroup()
     * @uses CustomerGroupPricing::setLevel()
     * @param \StructType\RecordRef $group
     * @param \StructType\RecordRef $level
     */
    public function __construct(\StructType\RecordRef $group = null, \StructType\RecordRef $level = null)
    {
        $this
            ->setGroup($group)
            ->setLevel($level);
    }
    /**
     * Get group value
     * @return \StructType\RecordRef|null
     */
    public function getGroup()
    {
        return $this->group;
    }
    /**
     * Set group value
     * @param \StructType\RecordRef $group
     * @return \StructType\CustomerGroupPricing
     */
    public function setGroup(\StructType\RecordRef $group = null)
    {
        $this->group = $group;
        return $this;
    }
    /**
     * Get level value
     * @return \StructType\RecordRef|null
     */
    public function getLevel()
    {
        return $this->level;
    }
    /**
     * Set level value
     * @param \StructType\RecordRef $level
     * @return \StructType\CustomerGroupPricing
     */
    public function setLevel(\StructType\RecordRef $level = null)
    {
        $this->level = $level;
        return $this;
    }
}
